Package: org.codehaus.groovy.ast.expr

## [Java] Class StaticMethodCallExpression

- org.codehaus.groovy.ast.expr.StaticMethodCallExpression

- All Implemented Interfaces and Traits:
    MethodCall

      public class StaticMethodCallExpression
      extends Expression
      implements MethodCall

  A static method call on a class

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticMethodCallExpression(ClassNode type, String method, Expression arguments)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getArguments()`
    `` | `public MetaMethod` | `getMetaMethod()`
    `` | `public String` | `getMethod()`
    `` | `public String` | `getMethodAsString()`
    `` | `public ClassNode` | `getOwnerType()`
    `` | `public ASTNode` | `getReceiver()`
    `` | `public String` | `getText()`
    `` | `public void` | `setMetaMethod(MetaMethod metaMethod)`
    `` | `public void` | `setOwnerType(ClassNode ownerType)`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public StaticMethodCallExpression(ClassNode type, String method, Expression arguments)

  - ### Method Detail

    - #### @Override public Expression getArguments()

    - #### public MetaMethod getMetaMethod()

    - #### public String getMethod()

    - #### @Override public String getMethodAsString()

    - #### public ClassNode getOwnerType()

    - #### @Override public ASTNode getReceiver()

    - #### @Override public String getText()

    - #### public void setMetaMethod(MetaMethod metaMethod)

    - #### public void setOwnerType(ClassNode ownerType)

    - #### @Override public String toString()

    - #### @Override public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override public void visit(GroovyCodeVisitor visitor)